<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
	"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper
	namespace="com.xunhong.erp.turbo.biz.infrastructure.mapper.OrderVehicleMapper">
	<resultMap id="BaseResultMap"
			   type="com.xunhong.erp.turbo.biz.infrastructure.entity.OrderVehicleDO">
		<result property="vehicleId" column="vehicle_id"/>
		<result property="orderId" column="order_id"/>
		<result property="vehicleNo" column="vehicle_no"/>
		<result property="plate" column="plate"/>
		<result property="driver" column="driver"/>
		<result property="phone" column="phone"/>
		<result property="origin" column="origin"/>
		<result property="destination" column="destination"/>
		<result property="priceType" column="price_type"/>
		<result property="price" column="price"/>
		<result property="dealerId" column="dealer_id"/>
		<result property="dealerName" column="dealer_name"/>
		<result property="openStrawCurtain" column="open_straw_curtain"/>
		<result property="strawCurtainPrice" column="straw_curtain_price"/>
		<result property="deliveryTime" column="delivery_time"/>
		<result property="createdAt" column="created_at"/>
		<result property="createdAt" column="created_at"/>
		<result property="updatedAt" column="updated_at"/>
		<result property="isDelete" column="is_delete"/>
		<result property="version" column="version"/>
	</resultMap>
</mapper>

